Bug 683501 - [abrt] eclipse-platform-1:3.5.2-4.fc13: _XAllocID: Process /usr/lib/eclipse/eclipse was killed by signal 6 (SIGABRT)
[abrt] eclipse-platform-1:3.5.2-4.fc13: _XAllocID: Process /usr/lib/eclipse/e...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
13
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
abrt_hash:2d10a94015cf73a80e77bcadfae...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-09 10:19 EST by Alexey
Modified: 2011-06-27 08:02 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 08:02:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (238.71 KB, text/plain)
2011-03-09 10:20 EST, Alexey
no flags Details

  None (edit)
Description Alexey 2011-03-09 10:19:58 EST
abrt version: 1.1.14
architecture: i686
Attached file: backtrace
cmdline: /usr/lib/eclipse/eclipse
component: eclipse
crash_function: _XAllocID
executable: /usr/lib/eclipse/eclipse
kernel: 2.6.34.7-66.fc13.i686
package: eclipse-platform-1:3.5.2-4.fc13
rating: 3
reason: Process /usr/lib/eclipse/eclipse was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
time: 1298235077
uid: 500

How to reproduce
-----
1. don`t know
2.
3.
Comment 1 Alexey 2011-03-09 10:20:10 EST
Created attachment 483239 [details]
File: backtrace
Comment 2 Andrew Overholt 2011-03-09 10:32:56 EST
Thanks for the report.

This looks like a crash caused by SWT and Cairo.  I'm confused as to why there are .so files in ~/.eclipse.  Can you temporarily move ~/.eclipse out of the way, restart Eclipse, and then see if find ~/.eclipse -name \*.so returns any matches?

It would be great if you could figure out what causes this crash.  Without a reproducer it will be hard to fix.  Thanks.
Comment 3 Alexey 2011-03-09 11:52:47 EST
When I move ~/.eclipse, and restart Eclipse, .so files is no present.

I install Android SDK, and added needed update sites.

may be it .so files comes whith updates
Comment 4 Andrew Overholt 2011-03-11 15:25:44 EST
So the .so files re-appear after updates?  If so, this is a situation that I have feared:  system-wide RPMs installed with user-specific updates in ~/.eclipse.

Alexey, can you make the crash happen again?  Is there a set of step-by-step instructions we can follow to reproduce it?  Thanks.
Comment 5 Alexey 2011-03-13 10:42:41 EDT
1. Remove ~/.eclipse
2. Run Eclipse and try install Android SDK... And I have error.
Cannot complete the install because one or more required items could not be found.
  Software being installed: Android Development Tools 10.0.0.v201102162101-104271 (com.android.ide.eclipse.adt.feature.group 10.0.0.v201102162101-104271)
  Missing requirement: Android Development Tools 10.0.0.v201102162101-104271 (com.android.ide.eclipse.adt.feature.group 10.0.0.v201102162101-104271) requires 'org.eclipse.wst.sse.core 0.0.0' but it could not be found
3. Add http://download.eclipse.org/releases/galileo/ to the update sites
list
4. Install Android SDK plugin.
But .so files is not present.
And when I try update Eclipse, I have error 
Cannot complete the install because one or more required items could not be found.
  Software being installed: Profile Framework (Incubation) 0.7.0.201102160611 (org.eclipse.linuxtools.profiling.feature.group 0.7.0.201102160611)
  Missing requirement: Profile Framework (Incubation) 0.7.0.201102160611 (org.eclipse.linuxtools.profiling.feature.group 0.7.0.201102160611) requires 'org.eclipse.cdt.feature.group 7.0.0' but it could not be found


I can`t reproduce this error
Comment 6 Alexey 2011-03-14 02:08:04 EDT
1. Remove ~/.eclipse
2. Run Eclipse and try install Android SDK... And I have error.
Cannot complete the install because one or more required items could not be found.
  Software being installed: Android Development Tools 10.0.0.v201102162101-104271 (com.android.ide.eclipse.adt.feature.group 10.0.0.v201102162101-104271)
  Missing requirement: Android Development Tools 10.0.0.v201102162101-104271 (com.android.ide.eclipse.adt.feature.group 10.0.0.v201102162101-104271) requires 'org.eclipse.wst.sse.core 0.0.0' but it could not be found
3. Add http://download.eclipse.org/releases/galileo/ to the update sites
list
4. Install Android SDK plugin.
But .so files is not present.
And when I try update Eclipse, I have error 
Cannot complete the install because one or more required items could not be found.
  Software being installed: Profile Framework (Incubation) 0.7.0.201102160611 (org.eclipse.linuxtools.profiling.feature.group 0.7.0.201102160611)
  Missing requirement: Profile Framework (Incubation) 0.7.0.201102160611 (org.eclipse.linuxtools.profiling.feature.group 0.7.0.201102160611) requires 'org.eclipse.cdt.feature.group 7.0.0' but it could not be found


I can`t reproduce this error
Comment 7 Andrew Overholt 2011-03-17 09:49:41 EDT
(In reply to comment #5)
> 2. Run Eclipse and try install Android SDK... And I have error.
> Cannot complete the install because one or more required items could not be
> found.
>   Software being installed: Android Development Tools
> 10.0.0.v201102162101-104271 (com.android.ide.eclipse.adt.feature.group
> 10.0.0.v201102162101-104271)
>   Missing requirement: Android Development Tools 10.0.0.v201102162101-104271
> (com.android.ide.eclipse.adt.feature.group 10.0.0.v201102162101-104271)
> requires 'org.eclipse.wst.sse.core 0.0.0' but it could not be found
> 3. Add http://download.eclipse.org/releases/galileo/ to the update sites
> list
> 4. Install Android SDK plugin.

What you've described above is expected.  The initial set of update sites being empty is a known upstream issue:

  https://bugs.eclipse.org/bugs/show_bug.cgi?id=249133

> But .so files is not present.

Good.

> And when I try update Eclipse, I have error 
> Cannot complete the install because one or more required items could not be
> found.
>   Software being installed: Profile Framework (Incubation) 0.7.0.201102160611
> (org.eclipse.linuxtools.profiling.feature.group 0.7.0.201102160611)
>   Missing requirement: Profile Framework (Incubation) 0.7.0.201102160611
> (org.eclipse.linuxtools.profiling.feature.group 0.7.0.201102160611) requires
> 'org.eclipse.cdt.feature.group 7.0.0' but it could not be found

This is what I was referring to above where you're mixing RPM-installed packages and upstream update sites.  There's not really a good solution in this case, sorry.
Comment 8 Bug Zapper 2011-05-30 07:03:43 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-27 08:02:33 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.